#!/usr/bin/env python

"""The setup script."""

from setuptools import find_packages, setup

with open("README.md") as readme_file:
    readme = readme_file.read()


install_requirements = open("requirements.txt").readlines()

setup(
    author="Thoughtful",
    author_email="support@thoughtful.ai",
    python_requires=">=3.9",
    classifiers=[
        "Intended Audience :: Developers",
        "Natural Language :: English",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.9",
    ],
    description="Python package for interacting with DentalHub portal.",
    long_description=readme,
    long_description_content_type="text/markdown",
    keywords="t_pom_dentalhub",
    name="t_pom_dentalhub",
    packages=find_packages(include=["t_pom_dentalhub", "t_pom_dentalhub.*"]),
    test_suite="tests",
    url="https://www.thoughtful.ai/",
    version="0.1.2",
    zip_safe=False,
    install_requires=install_requirements,
)
